import createStore from '@zjxpcyc/vue-tiny-store'
import user from './models/user'
import system from './models/system'
import pageHeader from './models/pageHeader'

const initialState = {
  user,
  system,
  pageHeader,
}

const store = createStore(initialState)
const { 
  addModel,
  getState,
} = store

export {
  addModel,
  getState,
}

export default store
